<?php
require_once 'auth.php';
require_once '../config/db.php';
requireLogin();

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['character_id'])) {
    $charId = (int)$_POST['character_id'];

    // Verify user has access to this character
    $userId = $_SESSION['user']['id'];
    $groupId = $_SESSION['user']['group_id'];

    $hasAccess = false;

    if ($groupId >= 4) {
        // Webmaster/Admin: full access
        $hasAccess = true;
    } else {
        // Check assignment
        $stmt = $db->prepare("SELECT COUNT(*) FROM character_user_map WHERE character_id = ? AND user_id = ?");
        $stmt->bind_param("ii", $charId, $userId);
        $stmt->execute();
        $stmt->bind_result($count);
        $stmt->fetch();
        $stmt->close();
        $hasAccess = $count > 0;
    }

    if ($hasAccess) {
        $_SESSION['active_character_id'] = $charId;
    }
}

header("Location: dashboard.php");
exit;