<?php
require_once '../config/db.php';
require_once 'auth.php';
requireLogin();
$user = currentUser();
if ($user['group_id'] < 9) {
    echo "<p>You do not have access to this page.</p>";
    exit;
}

$message = '';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $mode = $_POST['mode'];
    if ($mode === 'manual') {
        exec('php generate_power_rankings.php', $output, $status);
        $message = "Manual generation complete. Output: " . implode(', ', $output);
    } elseif ($mode === 'auto') {
        exec('php generate_power_rankings_auto.php', $output, $status);
        $message = "Auto generation complete. Output: " . implode(', ', $output);
    } elseif ($mode === 'cron') {
        exec('php cron_generate_power_rankings.php', $output, $status);
        $message = "CRON-safe generation complete. Output: " . implode(', ', $output);
    } else {
        $message = "Invalid mode selected.";
    }
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>Power Rankings Generator</title>
    <link rel="stylesheet" href="css/admin.css">
</head>
<body>
<div class="dashboard-wrapper">
    <h1>Run Power Rankings Generator</h1>
    <?php if ($message): ?>
        <p style="color: green; font-weight: bold;"><?= htmlspecialchars($message) ?></p>
    <?php endif; ?>
    <form method="post">
        <label for="mode">Choose generation method:</label><br><br>
        <select name="mode" id="mode" required>
            <option value="">-- Select --</option>
            <option value="manual">Manual Only (Manual Adjustments)</option>
            <option value="auto">Auto (Matches + Awards + Titles + Manual)</option>
            <option value="cron">CRON-safe (Silent)</option>
        </select><br><br>
        <button type="submit">Run Generator</button>
    </form>
<div style="margin: 2em 0;">
    <a href="power_rankings_dashboard.php" class="admin-button">← Return to Power Rankings Dashboard</a>
</div>
</div>
</body>
</html>
